Handle_Info Struct Reference
Collaboration diagram for Handle_Info:
[legend]

## Data Fields

Upnp_Handle_Type | HType
Upnp_FunPtr | Callback
char * | Cookie
int | aliasInstalled
char | DescURL [LINE_SIZE]
char | LowerDescURL [LINE_SIZE]
char | DescXML [LINE_SIZE]
int | MaxAge
int | PowerState
int | SleepPeriod
int | RegistrationState
IXML_Document * | DescDocument
IXML_NodeList * | DeviceList
IXML_NodeList * | ServiceList
service_table | ServiceTable
int | MaxSubscriptions
int | MaxSubscriptionTimeOut
int | DeviceAf
GenlibClientSubscription * | ClientSubList
LinkedList | SsdpSearchList

## Field Documentation

## aliasInstalled

int Handle_Info::aliasInstalled

0 = not installed; otherwise installed.

Referenced by UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), UpnpRegisterRootDevice4(), and UpnpUnRegisterRootDeviceLowPower().

## Callback

Upnp_FunPtr Handle_Info::Callback

Callback function pointer.

Referenced by gena_process_notification_event(), gena_process_subscription_request(), GenaAutoRenewSubscription(), get_dev_service(), ssdp_handle_ctrlpt_msg(), UpnpRegisterClient(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), and UpnpRegisterRootDevice4().

## ClientSubList

GenlibClientSubscription* Handle_Info::ClientSubList

Client subscription list.

Referenced by gena_process_notification_event(), genaRenewSubscription(), genaSubscribe(), genaUnregisterClient(), genaUnSubscribe(), UpnpRegisterClient(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), and UpnpRegisterRootDevice4().

## Cookie

char* Handle_Info::Cookie

Referenced by gena_process_notification_event(), gena_process_subscription_request(), GenaAutoRenewSubscription(), get_dev_service(), ssdp_handle_ctrlpt_msg(), UpnpRegisterClient(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), UpnpRegisterRootDevice3(), and UpnpRegisterRootDevice4().

## DescDocument

IXML_Document* Handle_Info::DescDocument

Description parsed in terms of DOM document.

Referenced by UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), UpnpRegisterRootDevice4(), and UpnpUnRegisterRootDeviceLowPower().

## DescURL

char Handle_Info::DescURL[LINE_SIZE]

URL for the use of SSDP.

Referenced by AdvertiseAndReply(), PrintHandleInfo(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), and UpnpRegisterRootDevice4().

## DescXML

char Handle_Info::DescXML[LINE_SIZE]

XML file path for device description.

## DeviceAf

int Handle_Info::DeviceAf

Address family: AF_INET or AF_INET6.

Referenced by AdvertiseAndReply(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), UpnpRegisterRootDevice4(), and UpnpUnRegisterRootDeviceLowPower().

## DeviceList

IXML_NodeList* Handle_Info::DeviceList

List of devices in the description document.

Referenced by AdvertiseAndReply(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), UpnpRegisterRootDevice4(), and UpnpUnRegisterRootDeviceLowPower().

## HType

Upnp_Handle_Type Handle_Info::HType

Referenced by GetHandleInfo(), PrintHandleInfo(), UpnpRegisterClient(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), and UpnpRegisterRootDevice4().

## LowerDescURL

char Handle_Info::LowerDescURL[LINE_SIZE]

URL for the use of SSDP when answering to legacy CPs (CP searching for a v1 when the device is v2).

Referenced by AdvertiseAndReply(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), and UpnpRegisterRootDevice4().

## MaxSubscriptions

int Handle_Info::MaxSubscriptions

Referenced by gena_process_subscription_renewal_request(), gena_process_subscription_request(), UpnpRegisterClient(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), UpnpRegisterRootDevice4(), and UpnpSetMaxSubscriptions().

## MaxSubscriptionTimeOut

int Handle_Info::MaxSubscriptionTimeOut

Referenced by gena_process_subscription_renewal_request(), gena_process_subscription_request(), UpnpRegisterClient(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), UpnpRegisterRootDevice4(), and UpnpSetMaxSubscriptionTimeOut().

## ServiceList

IXML_NodeList* Handle_Info::ServiceList

List of services in the description document.

Referenced by UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), UpnpRegisterRootDevice4(), and UpnpUnRegisterRootDeviceLowPower().

## ServiceTable

service_table Handle_Info::ServiceTable

Table holding subscriptions and URL information.

Referenced by genaNotifyThread(), genaUnregisterDevice(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), and UpnpRegisterRootDevice4().

## SsdpSearchList

LinkedList Handle_Info::SsdpSearchList

Active SSDP searches.

Referenced by SearchByTarget(), ssdp_handle_ctrlpt_msg(), UpnpRegisterClient(), UpnpRegisterRootDevice(), UpnpRegisterRootDevice2(), UpnpRegisterRootDevice4(), UpnpUnRegisterClient(), and UpnpUnRegisterRootDeviceLowPower().

The documentation for this struct was generated from the following file:

- /build/pupnp-CzNTB5/pupnp-1.14.20/upnp/src/inc/upnpapi.h